Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1241423 - Review Request: nodejs-esprima-fb - Facebook-specific fork of the esprima project
Summary: Review Request: nodejs-esprima-fb - Facebook-specific fork of the esprima pro...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2015-07-09 08:21 UTC by Parag Nemade
Modified: 2015-09-18 22:20 UTC (History)
2 users (show)

Fixed In Version: 15001.1.0-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-18 20:51:34 UTC
piotr1212: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2015-07-09 08:21:11 UTC
Spec URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-esprima-fb.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-esprima-fb-15001.1.0-1.fc22.src.rpm

Description:
Esprima (esprima.org, BSD license) is a high performance, standard-compliant
ECMAScript parser written in ECMAScript (also popularly known as JavaScript).

Esprima-FB is a fork of the Harmony branch of Esprima that implements JSX
specification on top of ECMAScript syntax.

Comment 1 Parag Nemade 2015-07-09 08:21:19 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=10327249

Comment 3 Piotr Popieluch 2015-07-17 22:28:28 UTC
There are some issues with Python:

fedora-review gives
- Package contains BR: python2-devel or python3-devel

rpmlint:
sh: /usr/bin/python: No such file or directory

I expect this be caused by tools/generate-unicode-regex.py. To fix the issues you would have to add python as requires+BR or remove the file in %prep if it is not needed.


The test/3rdparty directory has two issues:
1. these are probably "bundled libraries" and need to be unbundled
2. there are two files with other licenses. XMLHttpRequest.js and mootools-1.4.1.js

I think best way handle this would be to remove that directory as tests are disabled anyway.


the rest of the package looks good.

Comment 4 Parag Nemade 2015-07-18 15:25:09 UTC
Better use npmjs source which provides required source files.

Spec URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-esprima-fb.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-esprima-fb-15001.1.0-3.fc22.src.rpm

Comment 5 Piotr Popieluch 2015-07-19 11:58:23 UTC
These sources are much better! 

Still one test file which is licensed differently:
"package/test/reflect.js" 
Seems to be public domain

Could you check if that needs to be specified in the "License:" tag

Comment 6 Parag Nemade 2015-07-20 05:04:57 UTC
I see that file is in public domain but is not a part of binary rpm here. I don't think we need to consider its license and add it to License tag based on https://fedoraproject.org/wiki/Licensing:FAQ?rd=Licensing/FAQ#Does_the_License:_tag_cover_the_SRPM_or_the_binary_RPM.3F

Comment 7 Piotr Popieluch 2015-07-20 06:12:09 UTC
Ok, looks good, APPROVED.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 1 files have unknown
     license. Detailed output of licensecheck in
     /home/piotr/rpmbuild/1241423-nodejs-esprima-fb/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-esprima-fb-15001.1.0-3.fc23.noarch.rpm
          nodejs-esprima-fb-15001.1.0-3.fc23.src.rpm
nodejs-esprima-fb.noarch: W: only-non-binary-in-usr-lib
nodejs-esprima-fb.noarch: W: no-manual-page-for-binary esvalidate.js
nodejs-esprima-fb.noarch: W: no-manual-page-for-binary esparse.js
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-esprima-fb.noarch: W: only-non-binary-in-usr-lib
nodejs-esprima-fb.noarch: W: no-manual-page-for-binary esparse.js
nodejs-esprima-fb.noarch: W: no-manual-page-for-binary esvalidate.js
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
nodejs-esprima-fb (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)



Provides
--------
nodejs-esprima-fb:
    nodejs-esprima-fb
    npm(esprima-fb)



Source checksums
----------------
http://registry.npmjs.org/esprima-fb/-/esprima-fb-15001.1.0-dev-harmony-fb.tgz :
  CHECKSUM(SHA256) this package     : 7cdf56f7c940905995f273d6ffe0111be4af8425edaa836bc22da1d62e64a6ed
  CHECKSUM(SHA256) upstream package : 7cdf56f7c940905995f273d6ffe0111be4af8425edaa836bc22da1d62e64a6ed
http://github.com/facebook/esprima/raw/master/LICENSE.BSD :
  CHECKSUM(SHA256) this package     : 0e74697a68cebdcd61502c30fe80ab7f9e341d995dcd452023654d57133534b1
  CHECKSUM(SHA256) upstream package : 0e74697a68cebdcd61502c30fe80ab7f9e341d995dcd452023654d57133534b1


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1241423
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 8 Parag Nemade 2015-07-20 06:39:08 UTC
Thank you for this package review.

New Package SCM Request
=======================
Package Name: nodejs-esprima-fb
Short Description: Facebook-specific fork of the esprima project
Upstream URL: https://github.com/facebook/esprima
Owners: pnemade
Branches: f21 f22 f23

Comment 9 Kevin Fenzi 2015-07-20 17:18:42 UTC
Git done (by process-git-requests).

Comment 10 Parag Nemade 2015-08-07 12:46:03 UTC
Built in rawhide.

Comment 11 Fedora Update System 2015-09-05 18:00:13 UTC
nodejs-esprima-fb-15001.1.0-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15176

Comment 12 Fedora Update System 2015-09-05 18:02:46 UTC
nodejs-esprima-fb-15001.1.0-4.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15177

Comment 13 Fedora Update System 2015-09-06 18:51:43 UTC
nodejs-esprima-fb-15001.1.0-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-esprima-fb'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15176

Comment 14 Fedora Update System 2015-09-06 21:19:12 UTC
nodejs-esprima-fb-15001.1.0-4.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-esprima-fb'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15177

Comment 15 Fedora Update System 2015-09-18 20:51:33 UTC
nodejs-esprima-fb-15001.1.0-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-09-18 22:20:32 UTC
nodejs-esprima-fb-15001.1.0-4.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.